Skip to main content
DELETE
/
v1
/
machines
/
{machine_id}
/
artifacts
/
{artifact_id}
Delete artifact
curl --request DELETE \
  --url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/artifacts/{artifact_id} \
  --header 'x-api-key: <api-key>'
{ "artifact_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "machine_id": "<string>", "name": "<string>", "size_bytes": 123, "download_url": "<string>", "execution_id": "<string>", "expires_at": "2023-11-07T05:31:56Z", "mime_type": "<string>", "sha256": "<string>" }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Path Parameters

machine_id
string
required
Required string length: 4 - 253
Pattern: ^dm-[a-z0-9]([a-z0-9-]*[a-z0-9])?$
artifact_id
string
required
Required string length: 1 - 253
Pattern: ^[A-Za-z0-9]([A-Za-z0-9._-]*[A-Za-z0-9])?$

Response

OK

artifact_id
string
required
created_at
string<date-time>
required
machine_id
string
required
name
string
required
size_bytes
integer<int64>
required
download_url
string
execution_id
string
expires_at
string<date-time>
mime_type
string
sha256
string
Last modified on May 29, 2026